<?php

namespace Main\Lib;

use Dever;

class View
{
    # 执行结束时执行的
    public function end($param)
    {
    	# 不再执行syncone等后续操作
    	Dever::config('base')->after = 1;
        # 用户预约
        if ($param['type'] == 3) {
            if (isset($param['status']) && $param['status'] == 2) {
                # 直播中
                Dever::load('act/lib/watch')->submit($param['uid'], $param['id'], $param['type']);
            }
        }

        if ($param['addview']) {
            # 浏览量+1
            Dever::load($param['method'])->addView($param['id']);
        }
    }
}